Bug 225661 - Merge Review: createrepo
Merge Review: createrepo
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:53 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:17 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.4.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 08:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:53:00 EST
Fedora Merge Review: createrepo

http://cvs.fedora.redhat.com/viewcvs/devel/createrepo/
Initial Owner: pnasrat@redhat.com
Comment 1 Roozbeh Pournader 2007-02-03 18:32:41 EST
Taking for review.
Comment 2 Roozbeh Pournader 2007-02-03 20:24:37 EST
GOOD
====
MUST: naming is fine
MUST: spec filename matches %{name}
MUST: free software
MUST: License matches actual license (GPL)
MUST: neither source package nor RPM contain the license file
MUST: source matches upstream (md5sum checked)
MUST: compiled and built as noarch
MUST: no ExcludeArch
MUST: no real build dep, instead of the minimum gang
MUST: no locales
MUST: not a lib, so no ldconfig
MUST: not relocatable
MUST: owns its dirs
MUST: no dup files
MUST: clean section fine
MUST: macro use consistent
MUST: no large docs
MUST: docs don't affect runtime
MUST: no header, libs or devel package
MUST: not GUI
MUST: doesn't own others' dirs

BAD / COULD BE BETTER
=====================
MUST: rpmlint output
  * SRPM:
    W: createrepo no-%build-section

  rpmlint suggests you add an empty %build section anyway.

  * RPM:
    E: createrepo explicit-lib-dependency libxml2-python

  I think this is a false hit.

MUST: US English
  * The description field should have a period at the end.

MUST: spec file legiblity
  * The scriptlet check for RPM_BUILD_ROOT for not being equal to / is
    unnecessary and obsfucating. The value of that variable may as well be
    equal to /lib or /etc and destroy a system. Never run rpmbuild as root!

MUST: file permissions
  *  %defattr should be changed to %defattr(-, root, root, -), i.e., extra
     "-" at the end.

MUST: Packaging Guidelines
  * The dependency on rpm should be changed to ">= 4.1.1", as current rpm
    in Rawhide doesn't have any epoch.

  * Source tag should be change to include full URL:
    http://linux.duke.edu/projects/metadata/generate/%{name}-%{version}.tar.gz

  * BuildRoot should be changed to:
    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

  * %makeinstall should be replaced with:
    make DESTDIR=$RPM_BUILD_ROOT install

  * Instead of:
    %dir %{_datadir}/%{name}
    %{_datadir}/%{name}/*

    you can simply do:
    %{_datadir}/%{name}

SHOULD: Upstream should be pinged to add license file (GPL) to package

Other:
   * 'sources' and '.cvsignore' files (in CVS) contain lots of old versions.
      Remove older versions.
Comment 3 Roozbeh Pournader 2007-02-04 11:23:48 EST
From an email by Michael Schwendt regarding the directory and its files:
> Even better:
>
>   %{_datadir}/%{name}/
>
> The extra slash at the end makes it clear that you want to include
> a directory and not an ordinary file.
Comment 4 Paul Nasrat 2007-02-05 06:55:59 EST
I've got commit access upstream so will add copying for next release. I've
addresssed the other points.
Comment 5 Roozbeh Pournader 2007-02-05 08:26:57 EST
(In reply to comment #4)
> I've addresssed the other points.
Did you commit the changes?
Comment 6 Roozbeh Pournader 2007-02-05 08:59:31 EST
(In reply to comment #5)
> Did you commit the changes?

Ah, the anonymous CVS is delayed for two hours!

All fine now. The only remaining issues are using the full source URL in the
"Source" line, and including the license file in the package. None of them are
blockers, so I approve the package. But please consider fixing both issues.

Final rpmlint output:
E: createrepo explicit-lib-dependency libxml2-python

which I believe is fine.
Comment 7 Roozbeh Pournader 2007-02-06 09:28:18 EST
Ropening in case the author wishes to do something about the changes suggested
in comment #6. (fedora-review remains approved.)
Comment 8 Red Hat Bugzilla 2007-08-21 01:31:30 EDT
User pnasrat@redhat.com's account has been closed
Comment 10 Cole Robinson 2015-02-11 15:35:52 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 11 Jan Kurik 2015-07-15 11:27:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 12 Fedora End Of Life 2016-11-24 05:17:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.